Player.observeProgress(function (progress) {
  switch(progress.pluginStatus) {
    case "unsupported":
      VLibrasPlugin.showMessage('warning', 'O seu computador não suporta o Unity WebPlayer. Porfavor verificar drivers de vídeo.');
    return;
    case "broken":
      VLibrasPlugin.showMessage('warning', 'Você precisa reiniciar após a instalação do Unity WebPlayer.');
    return;
    case "missing":
      var url = 'http://unity3d.com/webplayer/';
      VLibrasPlugin.showMessage('warning', 'Instale o Unity WebPlayer. <a href="'+ url +'"" target="_blank">Clique aqui</a> para instalar.');
    return;
  }
  
  var event = new CustomEvent('player:verified', { detail: 'installed' });
  document.dispatchEvent(event);
});